Download a Salesforce ContentVersion into Sample
curl --request POST \
--url https://api.example.com/api/v2/integrations/salesforce/{slug}/load-file \
--header 'Content-Type: application/json' \
--data '
{
"contentVersionId": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/integrations/salesforce/{slug}/load-file"
payload = { "contentVersionId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({contentVersionId: '<string>'})
};
fetch('https://api.example.com/api/v2/integrations/salesforce/{slug}/load-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileMetadataId": "<string>",
"fileName": "<string>",
"mimeType": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Integration - Salesforce
Download a Salesforce ContentVersion into Sample
Resolve connection by slug, fetch the binary for a Salesforce ContentVersion, and persist it as a Sample fileMetadata (FMD). Returns the FMD id which can be used with other Sample document APIs.
POST
/
api
/
v2
/
integrations
/
salesforce
/
{slug}
/
load-file
Download a Salesforce ContentVersion into Sample
Path Parameters
Body
application/json
Salesforce ContentVersion Id (15- or 18-char, typically prefixed 068) whose binary should be downloaded.
Minimum string length:
1Response
The Sample fileMetadata record created from the downloaded Salesforce ContentVersion.